Package picard.util.help

## Class PicardHelpDocWorkUnitHandler

- java.lang.Object
- - org.broadinstitute.barclay.help.DocWorkUnitHandler
  - - org.broadinstitute.barclay.help.DefaultDocWorkUnitHandler
    - - picard.util.help.PicardHelpDocWorkUnitHandler

-     public class PicardHelpDocWorkUnitHandler
      extends org.broadinstitute.barclay.help.DefaultDocWorkUnitHandler

  The Picard Documentation work unit handler class that is the companion to PicardHelpDoclet. NOTE: Methods in this class are intended to be called by Gradle/Javadoc only, and should not be called by methods that are used by the Picard runtime, as this class assumes a dependency on com.sun.javadoc classes which may not be present.

- - ### Field Summary

    - ### Fields inherited from class org.broadinstitute.barclay.help.DefaultDocWorkUnitHandler

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PicardHelpDocWorkUnitHandler​(org.broadinstitute.barclay.help.HelpDoclet doclet)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String` | `getTagFilterPrefix()` |
    `String` | `getTemplateName​(org.broadinstitute.barclay.help.DocWorkUnit workUnit)` |

    - ### Methods inherited from class org.broadinstitute.barclay.help.DefaultDocWorkUnitHandler

      `addCommandLineArgumentBindings, addCustomBindings, addDefaultPlugins, addExtraDocsBindings, addHighLevelBindings, argumentTypeString, docForArgument, getDescription, getGroupNameForWorkUnit, getGroupSummaryForWorkUnit, getSummaryForWorkUnit, processPluginDescriptorArgument, processWorkUnit`

    - ### Methods inherited from class org.broadinstitute.barclay.help.DocWorkUnitHandler

      `getDestinationFilename, getDoclet, getJSONFilename`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PicardHelpDocWorkUnitHandler

          public PicardHelpDocWorkUnitHandler​(org.broadinstitute.barclay.help.HelpDoclet doclet)

  - ### Method Detail

    - #### getTagFilterPrefix

          protected String getTagFilterPrefix()

      Overrides:
        `getTagFilterPrefix` in class `org.broadinstitute.barclay.help.DefaultDocWorkUnitHandler`
      Returns:
        Prefix for custom picard tags that should be lifted from the javadoc and stored in the FreeMarker map. These will be available in the template returned by `getTemplateName(org.broadinstitute.barclay.help.DocWorkUnit)`.

    - #### getTemplateName

          public String getTemplateName​(org.broadinstitute.barclay.help.DocWorkUnit workUnit)

      Overrides:
        `getTemplateName` in class `org.broadinstitute.barclay.help.DefaultDocWorkUnitHandler`
      Parameters:
        `workUnit` - the classdoc object being processed
      Returns:
        the name of a the freemarker template to be used for the class being documented. Must reside in the folder passed to the Barclay Doclet via the "-settings-dir" parameter to Javadoc.